DEVCLASS(9)

NAME
devclass - object representing a class of devices

SYNOPSIS
typedef struct devclass *devclass_t;

DESCRIPTION
The devclass object has two main functions in the system. The first is to manage the allocation of unit numbers for device instances and the second is to hold the list of device drivers for a particular bus type. Each devclass has a name and there cannot be two devclasses with the same name. This ensures that unique unit numbers are allocated to device instances.

Beware that this means devclass must be the same for different bus attachments of the same device driver.

SEE ALSO
devclass_add_driver(9), devclass_delete_driver(9), devclass_find(9), devclass_find_driver(9), devclass_get_device(9), devclass_get_devices(9), devclass_get_maxunit(9), devclass_get_name(9), devclass_get_softc(9), device(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.